Package com.smartgwt.client.types

# Enum FormItemElementType

java.lang.Object
java.lang.Enum<FormItemElementType>
com.smartgwt.client.types.FormItemElementType

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<FormItemElementType>`, `Constable`

public enum FormItemElementType extends Enum<FormItemElementType> implements ValueEnum
HTML elements that make up a complete FormItem (note, not all FormItems use all of these elements)

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CELL`
  The form item as a whole, including the text element, any icons, and any hint text for the item.
  `CONTROL`
  The "control" cell containing the text box and picker
  `PICKER_ICON`
  The cell containing the item's picker icon, if it has one
  `TEXT_BOX`
  The item's native text box, if it has one
  `TITLE`
  The cell containing the title

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static FormItemElementType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static FormItemElementType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CELL

    public static final FormItemElementType CELL
    The form item as a whole, including the text element, any icons, and any hint text for the item. This is the cell containing the form item

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "cell".

  - ### CONTROL

    public static final FormItemElementType CONTROL
    The "control" cell containing the text box and picker

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "control".

  - ### PICKER_ICON

    public static final FormItemElementType PICKER_ICON
    The cell containing the item's picker icon, if it has one

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "pickerIcon".

  - ### TEXT_BOX

    public static final FormItemElementType TEXT_BOX
    The item's native text box, if it has one

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "textBox".

  - ### TITLE

    public static final FormItemElementType TITLE
    The cell containing the title

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "title".

- ## Method Details

  - ### values

    public static FormItemElementType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static FormItemElementType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`